libcpan-distnameinfo-perl_0.12-1_all.deb


Advertisement

Description

libcpan-distnameinfo-perl - module to extract distribution name and version from a filename

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcpan-distnameinfo-perl
Package version 0.12
Package release 1
Package architecture all
Package type deb
Installed size 64 B
Download size 9.25 KB
Official Mirror ftp.br.debian.org
CPAN::DistnameInfo is a Perl module that extracts the name and version from a
CPAN distribution name. It uses heuristics similar to those used by the main
<URL:http://search.cpan.org/> site to extract the distribution information.
It also reports if the version is to be treated as a developer release.

Alternatives

Package Version Architecture Repository
libcpan-distnameinfo-perl_0.12-1_all.deb 0.12 all Debian Main
libcpan-distnameinfo-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libcpan-distnameinfo-perl_0.12-1_all.deb
Source Package libcpan-distnameinfo-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcpan-distnameinfo-perl deb package:
    # sudo apt-get install libcpan-distnameinfo-perl

Files

Path
/usr/share/doc/libcpan-distnameinfo-perl/changelog.Debian.gz
/usr/share/doc/libcpan-distnameinfo-perl/changelog.gz
/usr/share/doc/libcpan-distnameinfo-perl/copyright
/usr/share/man/man3/CPAN::DistnameInfo.3pm.gz
/usr/share/perl5/CPAN/DistnameInfo.pm

Changelog

2011-03-12 - Jonathan Yu <jawnsy@cpan.org>
libcpan-distnameinfo-perl (0.12-1) unstable; urgency=low
* New upstream release
* Update copyright years
* Bump debhelper compat to 8
2010-12-24 - Jonathan Yu <jawnsy@cpan.org>
libcpan-distnameinfo-perl (0.11-1) unstable; urgency=low
* New upstream release
* Standards-Version 3.9.1 (no changes)
* Refresh copyright information
2010-03-28 - gregor herrmann <gregoa@debian.org>
libcpan-distnameinfo-perl (0.10-1) unstable; urgency=low
* New upstream release.
* Convert to source format 3.0 (quilt).
* Set Standards-Version to 3.8.4 (no changes).
2009-12-04 - Jonathan Yu <jawnsy@cpan.org>
libcpan-distnameinfo-perl (0.09-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Add myself to Uploaders and Copyright
* Rewrite control description
* Standards-Version 3.8.3 (drop perl version dep)
* Use new short debhelper rules format
* Refresh copyright information
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
2009-05-06 - Brian Cassidy <brian.cassidy@gmail.com>
libcpan-distnameinfo-perl (0.08-1) unstable; urgency=low
[ Brian Cassidy ]
* New upstream release
* debian/compat: 6 => 7
* debian/control:
+ debhelper 7 required
+ added myself to Uploaders
+ Standards-Version to 3.8.1
* debian/copyright: updated to newer standards
* debian/watch: tidied up
* debian/rules: use new template
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Ryan Niebur ]
* Remove Florian Ragwitz from Uploaders (Closes: #523208)
2008-07-05 - gregor herrmann <gregoa@debian.org>
libcpan-distnameinfo-perl (0.07-1) unstable; urgency=low
* debian/watch: add author-based URL to catch newer releases.
* New upstream release.
* Set Standards-Version to 3.8.0 (no changes).
* debian/control: change my email address.
* debian/copyright: add copyright/license information for inc/* and upstream
URL for newer releases.
* Refresh debian/rules, no functional changes.
2008-03-07 - Gunnar Wolf <gwolf@debian.org>
libcpan-distnameinfo-perl (0.06-2) unstable; urgency=low
[ Joachim Breitner ]
* Removed myself from uploaders.
[ gregor herrmann ]
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Removed: XS-
Vcs-Svn fields. Added: /me to Uploaders.
* debian/rules:
- delete /usr/lib/perl5 only if it exists (closes: #467738)
- update with dh-make-perl's help
- don't install README any more (text version of the POD documentation)
- enable tests
* debian/watch: use dist-based URL.
* Set Standards-Version to 3.7.3 (no changes).
* Set debhelper compatibility level to 5.
* debian/copyright: add upstream source location.
[ Gunnar Wolf ]
* Bumping up debhelper compat to 6
2006-01-06 - Niko Tyni <ntyni@iki.fi>
libcpan-distnameinfo-perl (0.06-1) unstable; urgency=low
[ Florian Ragwitz ]
* New upstream release. (Closes: #329504)
* Added me to uploaders.
[ Niko Tyni ]
* Don't ignore the return code of 'make realclean'.
* Upgrade to Standards-Version 3.6.2. No changes needed.
* Added myself to Uploaders as well.
* Don't install an empty /usr/lib/perl5 directory.
[ Krzysztof Krzyzaniak (eloy) ]
* Added debian/watch file
2004-01-05 - Joachim Breitner <nomeata@debian.org>
libcpan-distnameinfo-perl (0.03-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libcpan-inject-perl_1.14-1_all.deb module for injecting distributions into CPAN sources
libcpan-meta-check-perl_0.009-1_all.deb verify requirements in a CPAN::Meta object
libcpan-meta-perl_2.142690-1_all.deb Perl module to access CPAN distributions metadata
libcpan-meta-requirements-perl_2.128-1_all.deb set of version requirements for a CPAN dist
libcpan-meta-yaml-perl_0.012-1_all.deb reimplementation of a subset of YAML for CPAN Meta files
libcpan-mini-inject-perl_0.33-1_all.deb module to inject modules into a CPAN::Mini mirror
libcpan-mini-perl_1.111016-1_all.deb module for creating a minimal mirror of CPAN
libcpan-perl-releases-perl_1.96-1_all.deb module for mapping Perl releases on CPAN to the location of the tarballs
libcpan-reporter-perl_1.2011-1_all.deb module which adds CPAN Testers reporting to CPAN.pm
libcpan-reporter-smoker-perl_0.25-1_all.deb turnkey CPAN Testers smoking module
libcpan-sqlite-perl_0.204-1_all.deb module to maintain a minimal CPAN database with SQLite
libcpan-uploader-perl_0.103007-1_all.deb module to upload packages to the CPAN
libcpandb-perl_0.18-1_all.deb Perl module for working with the unified CPAN database
libcpanel-json-xs-perl_3.0104-1+b1_amd64.deb module for fast and correct serialising to JSON
libcpanplus-dist-build-perl_0.78-2_all.deb CPANPLUS plugin to install packages that use Build.PL
Advertisement
Advertisement